-- Schema: C6StagingPeriodico
-- Stored Procedure: RP_ST_InfoCliente_20160428




CREATE procedure [C6StagingPeriodico].[RP_ST_InfoCliente_20160428]
AS

BEGIN

	-- Log esecuzione
	INSERT INTO LOG_ESECUZIONE
		(Nome, Inizio, Nota)
	VALUES (
		'RP_ST_InfoCliente',
		GETDATE(),
		'Elaborazione Trimestrale'
	)

	truncate table C6StagingPeriodico.RP_InfoCliente

	insert into C6StagingPeriodico.RP_InfoCliente
	--select * into C6StagingPeriodico.RP_Cliente from [CONSEVO].ConsulenzaBase.dbo.Cliente
	select 
	[chiaveClientePB]
      ,[chiaveCliente]
      ,[codFis]
      ,[pIva]
      ,[codMan]
      ,[NomeCliente]
      --,[CognomeCliente]
      ,SUBSTRING([CognomeCliente], 1, 50) -- TOPPA INSERITA PERCHé MODIFCA NON COMUNICATA A REPORTISTA BATCH per errore staging_f1_main in data 08/07/2015
      ,[tipologia]
      ,[dtScadQuest]
      ,[profilo]
      ,[dtQuestionario]
      ,[frequenza]
      ,[Agente]
      ,[NomePb]
      ,[CognomePb]
      ,[StatoPb]
      ,[rete]
      ,[codiceContratto]
      ,[StatoContratto]
      ,[dtFirmaBase]
      ,[dtEndBase]
      ,[dtFirmaSei]
      ,[dtEndSei]
      ,[rendicSemestrale]
      ,[dtNascita]
      ,[sesso]
      ,[TipContratto]
      ,[ModPagamento]
      ,[chiavePB]
      ,[flagrol]
       from [CONSEVO_PERIODICO].ConsulenzaBase.dbo.vInfoCliente
       where tipologia != 'c'
	
	-- Log esecuzione
	UPDATE
		LOG_ESECUZIONE
	SET
		Fine = GETDATE(),
		Tipo = 'INSERT',
		Righe = @@ROWCOUNT
	WHERE
		Nome = 'RP_ST_InfoCliente' AND
		Inizio = (
			SELECT
				MAX(Inizio)
			FROM
				LOG_ESECUZIONE
			WHERE
				Nome = 'RP_ST_InfoCliente'
		)
	
END




